SyncEvent::__construct
SyncEvent::reset
SyncEvent
PHP Manual

# SyncEvent::fire

(PECL sync >= 1.0.0)

SyncEvent::fire — Fires/sets the event

### Description

public bool SyncEvent::fire ( void )

Fires/sets a SyncEvent object. Lets multiple threads through that are waiting if the event object was created with a manual value of TRUE.

### Parameters

This function has no parameters.

### Return Values

A boolean of TRUE if the event was fired, FALSE otherwise.

### Examples

Example #1 SyncEvent::fire() example

`<?php
// In a web application:
$event = new SyncEvent("GetAppReport");
$event->fire();
// In a cron job:
$event = new SyncEvent("GetAppReport");
$event->wait();
?>`

### See Also

- SyncEvent::reset() - Resets a manual event
- SyncEvent::wait() - Waits for the event to be fired/set

SyncEvent::__construct
SyncEvent::reset
SyncEvent
PHP Manual